Bug 226837 - no easy access to subscribe/archive pages of many mailing lists
Summary: no easy access to subscribe/archive pages of many mailing lists
Status: CONFIRMED
Alias: None
Product: www.kde.org
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Unspecified
: NOR normal (vote)
Target Milestone: ---
Assignee: kde-www mailing-list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-14 16:46 UTC by Jonathan Marten
Modified: 2021-03-09 08:59 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Marten 2010-02-14 16:46:35 UTC
Version:            (using Devel)
Installed from:    Compiled sources

Until the recent redesign, the "Mailing Lists" section of the website had a list of all of the active mailing lists with links to their subscription and archive pages.  Now the equivalent page (http://www.kde.org/support/mailinglists/) lists only kde, kde-announce, kde-devel and kde-core-devel, with the note "For application specific lists, please see the application's page".

The problem is that the "application's page" (http://www.kde.org/applications/) does not list all of the applications with mailing lists, and sometimes (usually for historical reasons) the mailing list name does not correspond with the application's name.  So, for example, if I want to browse the archives of the kfm-devel list, originally 2 clicks away from the KDE home page, I now have to:

From the home page, click on "Mailing lists"

Click on the "application's page" link.

Think about what category the file management applications come under, try "System" then "Dolphin".  Good try, but that gives the list "kde" which I suspect is a last resort default.

Click "back" twice and try "Internet".  "Konqueror" is there and shows the "kfm-devel" list, but there is no link to the list archives.  Never mind, try clicking on "list information".

Recover from the visual shock of leaving the KDE pages, then finally there is a link to "kfm-devel Archives".  Click on this, success!

Would it be possible to reinstate the single page with all of the recognised KDE mailing lists, along with subscribe/info/archive links?
Comment 1 Anne Wilson 2010-02-14 17:32:05 UTC
Userbase has a page http://userbase.kde.org/Mailing_Lists which ends with the statement 'A complete list can be found on the mailman server' which is a link.  Wouldn't it make sense to use existing information, to avoid having duplicates to maintain?  At the moment there is the issue of completely different styling, of course, but that will be attended to soon.
Comment 2 Jonathan Marten 2010-02-14 18:34:47 UTC
Didn't know about that userbase page, thanks for the information.  But it's still 5 clicks away from the home page, and you have to guess that it's under "Getting Help" on userbase.
Comment 3 Anne Wilson 2010-02-14 20:00:21 UTC
We're working on that, too.  The Help page linked from navigation will be re-written.  One of the things it will talk about is the 'Category:Getting Started' link where a list of pages likely to help a newcomer will be found.
Comment 4 Dario Andres 2010-02-15 04:13:21 UTC
Just some offtopic info:

> Think about what category the file management applications come under, try
> "System" then "Dolphin".  Good try, but that gives the list "kde" which I
> suspect is a last resort default.}

I think that should be fixed to point to kfm-devel too...

> 
> Click "back" twice and try "Internet".  "Konqueror" is there and shows the
> "kfm-devel" list, but there is no link to the list archives.  Never mind, try
> clicking on "list information".
> 

The list's archive option was initially available, but it was removed later because some inconsistencies in the KDE mailing list managements (there are two places that host them, and the archives link is not the same; + some lists' archives aren't public)

Regards
Comment 5 Ben Cooksley 2010-02-15 09:57:38 UTC
Note that a great number of lists were not listed on the old website's list.

If you know of any lists which aren't linked to from the apps page, they can easily be added.
Comment 6 Will Entriken 2015-01-27 22:01:23 UTC
+1
Comment 7 Felix Miata 2015-04-19 21:16:32 UTC
At least one mailman page for an individual list ATM points to an empty archive instead of an archive with content:

https://mail.kde.org/mailman/listinfo/kde-usability
points to
https://mail.kde.org/mailman/private/kde-usability/
which wants a login which if done only results in a page containing only:
"The Kde-usability Archives

No messages have been posted to this list yet, so the archives are currently empty."
instead of pointing to the archive that exists at:
https://marc.info/?l=kde-usability
Comment 8 Justin Zobel 2021-03-09 07:26:09 UTC
Thank you for the bug report.

As this report hasn't seen any changes in 5 years or more, we ask if you can please confirm that the issue still persists.

If this bug is no longer persisting or relevant please change the status to resolved.
Comment 9 Luigi Toscano 2021-03-09 07:35:14 UTC
It still is.
Comment 10 Ben Cooksley 2021-03-09 08:59:39 UTC
While rather technical, a link to https://mail.kde.org/mailman/listinfo should suffice for providing a complete list of our mailing lists.